commit:     e2e216fe4a9752550ce4b58cb385e13f8735d895
Author:     Justin Bronder <jsbronder <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 23 21:49:52 2015 +0000
Commit:     Justin Bronder <jsbronder <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 21:50:37 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2e216fe

sys-cluster/openmpi: bump 1.10.0

bug 561226

Package-Manager: portage-2.2.20.1

 sys-cluster/openmpi/Manifest              |   1 +
 sys-cluster/openmpi/openmpi-1.10.0.ebuild | 180 ++++++++++++++++++++++++++++++
 2 files changed, 181 insertions(+)

diff --git a/sys-cluster/openmpi/Manifest b/sys-cluster/openmpi/Manifest
index 7d0a070..8101434 100644
--- a/sys-cluster/openmpi/Manifest
+++ b/sys-cluster/openmpi/Manifest
@@ -1,3 +1,4 @@
+DIST openmpi-1.10.0.tar.bz2 13207009 SHA256 
26b432ce8dcbad250a9787402f2c999ecb6c25695b00c9c6ee05a306c78b6490 SHA512 
62966f1e8aca162040659d4f774f17b686a19a6eecd272d345eb882a88fcfe00e768316b047bfb6b1653b3d947e355266b702eba5cf0e783f799835d384a4823
 WHIRLPOOL 
fa60102708c10c9dd07ed8d912b7f54be79246db0c6d20774c466cf749eb2b088da8a187be0a6be38fa0eb528314b0a1210ea77911ec09504c3e6cc4d532ac44
 DIST openmpi-1.4.3.tar.bz2 6626909 SHA256 
220b72b1c7ee35469ff74b4cfdbec457158ac6894635143a33e9178aa3981015 SHA512 
c33d5e019ba0b080aa34ecfa085182349da806e4bff26c1bf4dbdc8fb3f8f3c38899b9d96d671e1ae337b523ac9d634ae25c49d9af6eef2bc340c29dba75b1b8
 WHIRLPOOL 
92349d7bd16ff6e8563df602c215ce98ce5624b38a2975c13832d5b9504691c844206acad4c45376fe53e0116fe591782a3e5f8a132c4ac18ae793470d57db55
 DIST openmpi-1.4.5.tar.bz2 6643760 SHA256 
a3857bc69b7d5258cf7fc1ed1581d9ac69110f5c17976b949cb7ec789aae462d SHA512 
f89922345cde8978483e397e9016103626db3f1787f9afccaf0f60d59caa2a4409b47b01ac221d60e24e241f2afecb636ca89688bf326dc0ca5c817de96b3e99
 WHIRLPOOL 
2008bd952f9cc93ead6508267f5a45ee6d9ebf9136e35e25b798400d162173514da73349518bfada4777471c32d315e8556bbee8847a5268719d6b32fd0fd811
 DIST openmpi-1.6.5.tar.bz2 10943881 SHA256 
fe37bab89b5ef234e0ac82dc798282c2ab08900bf564a1ec27239d3f1ad1fc85 SHA512 
b0ede0264cd9263b8ba59ec51d17ad47b5f20d49d219ca05f7c396d608398d517b2023a46a2535fd6191160d709e4805c4de436dcfee56eda287383bd69f9652
 WHIRLPOOL 
d0288677827c1deba17295ee1b69cd21da294ac314cc49404389b4c286384f9f2f229cae4c4fd62511e7f20abc510998642d6a2edfac3f16f83078f474f8e735

diff --git a/sys-cluster/openmpi/openmpi-1.10.0.ebuild 
b/sys-cluster/openmpi/openmpi-1.10.0.ebuild
new file mode 100644
index 0000000..54f21ea
--- /dev/null
+++ b/sys-cluster/openmpi/openmpi-1.10.0.ebuild
@@ -0,0 +1,180 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+
+inherit cuda eutils flag-o-matic fortran-2 java-pkg-opt-2 multilib 
toolchain-funcs versionator
+
+MY_P=${P/-mpi}
+S=${WORKDIR}/${MY_P}
+
+IUSE_OPENMPI_FABRICS="
+       openmpi_fabrics_ofed
+       openmpi_fabrics_knem
+       openmpi_fabrics_psm"
+
+IUSE_OPENMPI_RM="
+       openmpi_rm_pbs
+       openmpi_rm_slurm"
+
+IUSE_OPENMPI_OFED_FEATURES="
+       openmpi_ofed_features_control-hdr-padding
+       openmpi_ofed_features_connectx-xrc
+       openmpi_ofed_features_udcm
+       openmpi_ofed_features_rdmacm
+       openmpi_ofed_features_dynamic-sl
+       openmpi_ofed_features_failover"
+
+DESCRIPTION="A high-performance message passing library (MPI)"
+HOMEPAGE="http://www.open-mpi.org";
+SRC_URI="http://www.open-mpi.org/software/ompi/v$(get_version_component_range 
1-2)/downloads/${MY_P}.tar.bz2"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux"
+IUSE="cma cuda +cxx elibc_FreeBSD fortran heterogeneous ipv6 java mpi-threads 
numa romio threads vt
+       ${IUSE_OPENMPI_FABRICS} ${IUSE_OPENMPI_RM} 
${IUSE_OPENMPI_OFED_FEATURES}"
+
+REQUIRED_USE="openmpi_rm_slurm? ( !openmpi_rm_pbs )
+       openmpi_rm_pbs? ( !openmpi_rm_slurm )
+       openmpi_fabrics_psm? ( openmpi_fabrics_ofed )
+       openmpi_ofed_features_control-hdr-padding? ( openmpi_fabrics_ofed )
+       openmpi_ofed_features_connectx-xrc? ( openmpi_fabrics_ofed )
+       openmpi_ofed_features_udcm? ( openmpi_fabrics_ofed )
+       openmpi_ofed_features_rdmacm? ( openmpi_fabrics_ofed )
+       openmpi_ofed_features_dynamic-sl? ( openmpi_fabrics_ofed )
+       openmpi_ofed_features_failover? ( openmpi_fabrics_ofed )"
+
+MPI_UNCLASSED_DEP_STR="
+       vt? (
+               !dev-libs/libotf
+               !app-text/lcdf-typetools
+       )"
+
+CDEPEND="
+       !sys-cluster/mpich
+       !sys-cluster/mpich2
+       !sys-cluster/mpiexec
+       dev-libs/libevent
+       dev-libs/libltdl:0
+       >=sys-apps/hwloc-1.9.1[numa?]
+       sys-libs/zlib
+       cuda? ( dev-util/nvidia-cuda-toolkit )
+       elibc_FreeBSD? ( dev-libs/libexecinfo )
+       openmpi_fabrics_ofed? ( sys-infiniband/ofed:* )
+       openmpi_fabrics_knem? ( sys-cluster/knem )
+       openmpi_fabrics_psm? ( sys-infiniband/infinipath-psm:* )
+       openmpi_rm_pbs? ( sys-cluster/torque )
+       openmpi_rm_slurm? ( sys-cluster/slurm )
+       openmpi_ofed_features_rdmacm? ( sys-infiniband/librdmacm:* )"
+
+RDEPEND="${CDEPEND}
+       java? ( >=virtual/jre-1.6 )"
+
+DEPEND="${CDEPEND}
+       java? ( >=virtual/jdk-1.6 )"
+
+pkg_setup() {
+       fortran-2_pkg_setup
+       java-pkg-opt-2_pkg_setup
+
+       if use mpi-threads; then
+               echo
+               ewarn "WARNING: use of MPI_THREAD_MULTIPLE is still disabled by"
+               ewarn "default and officially unsupported by upstream."
+               ewarn "You may stop now and set USE=-mpi-threads"
+               echo
+       fi
+
+       echo
+       elog "OpenMPI has an overwhelming count of configuration options."
+       elog "Don't forget the EXTRA_ECONF environment variable can let you"
+       elog "specify configure options if you find them necessary."
+       echo
+}
+
+src_prepare() {
+       # Necessary for scalibility, see
+       # http://www.open-mpi.org/community/lists/users/2008/09/6514.php
+       if use threads; then
+               echo 'oob_tcp_listen_mode = listen_thread' \
+                       >> opal/etc/openmpi-mca-params.conf
+       fi
+}
+
+src_configure() {
+       local myconf=(
+               --sysconfdir="${EPREFIX}/etc/${PN}"
+               --enable-pretty-print-stacktrace
+               --enable-orterun-prefix-by-default
+               --with-hwloc="${EPREFIX}/usr"
+               --with-libltdl="${EPREFIX}/usr"
+               )
+
+       if use fortran; then
+               myconf+=(--enable-mpi-fortran=all)
+       else
+               myconf+=(--enable-mpi-fortran=no)
+       fi
+
+       if use java; then
+               # We must always build with the right -source and -target
+               # flags. Passing flags to javac isn't explicitly supported here
+               # but we can cheat by overriding the configure test for javac.
+               export ac_cv_path_JAVAC="$(java-pkg_get-javac) 
$(java-pkg_javac-args)"
+       fi
+
+       ! use vt && myconf+=(--enable-contrib-no-build=vt)
+
+       econf "${myconf[@]}" \
+               $(use_enable cxx mpi-cxx) \
+               $(use_with cma) \
+               $(use_with cuda cuda "${EPREFIX}"/opt/cuda) \
+               $(use_enable romio io-romio) \
+               $(use_enable heterogeneous) \
+               $(use_enable ipv6) \
+               $(use_enable java) \
+               $(use_enable java mpi-java) \
+               $(use_enable mpi-threads mpi-thread-multiple) \
+               $(use_with openmpi_fabrics_ofed verbs "${EPREFIX}"/usr) \
+               $(use_with openmpi_fabrics_knem knem "${EPREFIX}"/usr) \
+               $(use_with openmpi_fabrics_psm psm "${EPREFIX}"/usr) \
+               $(use_enable openmpi_ofed_features_control-hdr-padding 
openib-control-hdr-padding) \
+               $(use_enable openmpi_ofed_features_connectx-xrc 
openib-connectx-xrc) \
+               $(use_enable openmpi_ofed_features_rdmacm openib-rdmacm) \
+               $(use_enable openmpi_ofed_features_udcm openib-udcm) \
+               $(use_enable openmpi_ofed_features_dynamic-sl 
openib-dynamic-sl) \
+               $(use_enable openmpi_ofed_features_failover 
btl-openib-failover) \
+               $(use_with openmpi_rm_pbs tm) \
+               $(use_with openmpi_rm_slurm slurm)
+}
+
+src_install () {
+       default
+
+       # From USE=vt see #359917
+       rm "${ED}"/usr/share/libtool &> /dev/null
+
+       # Avoid collisions with libevent
+       rm -rf "${ED}"/usr/include/event2 &> /dev/null
+
+       # Remove la files, no static libs are installed and we have pkg-config
+       find "${ED}"/usr/$(get_libdir)/ -type f -name '*.la' -delete
+
+       if use java; then
+               local mpi_jar="${ED}"/usr/$(get_libdir)/mpi.jar
+               java-pkg_dojar "${mpi_jar}"
+               # We don't want to install the jar file twice
+               # so let's clean after ourselves.
+               rm "${mpi_jar}" || die
+       fi
+
+       dodoc README AUTHORS NEWS VERSION || die
+}
+
+src_test() {
+       # Doesn't work with the default src_test as the dry run (-n) fails.
+       emake -j1 check
+}

Reply via email to